org.apache.ignite.logger.java

## Class JavaLoggerFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.apache.ignite.logger.java.JavaLoggerFormatter

    public class JavaLoggerFormatter
    extends Formatter

Formatter for JUL logger.

### Field Summary

Fields
`static String` `ANONYMOUS_LOGGER_NAME` Name for anonymous loggers.

### Constructor Summary

Constructors
Constructor and Description
`JavaLoggerFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `format(LogRecord record)`
`String` `toString()`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ANONYMOUS_LOGGER_NAME

    public static final String ANONYMOUS_LOGGER_NAME

Name for anonymous loggers.

See Also:
  Constant Field Values

### Constructor Detail

#### JavaLoggerFormatter

    public JavaLoggerFormatter()

### Method Detail

#### format

    public String format(LogRecord record)

Specified by:
  `format` in class `Formatter`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018